how to install nose-multiprocess plugin

asked 2014-08-28 03:46:10 -0500

vinayd gravatar image

updated 2014-08-28 03:47:28 -0500

Hi,

I am trying to add concurrent test cases for my TEMPEST project, now as far from googling i see that it needs nosetests plugin called "nose-multiprocessing" I tried to install it, but facing some error, can anyone point me out on how to install this plugin.

Thanks, Vinay

edit retag flag offensive close merge delete

Comments

Post what error you faced and steps took?

SGPJ gravatar imageSGPJ ( 2014-08-29 07:57:18 -0500 )edit

Requirement already satisfied (use --upgrade to upgrade): nose-gevented-multiprocess in /usr/lib/python2.6/site-packages Requirement already satisfied (use --upgrade to upgrade): requests in /usr/lib/python2.6/site-packages (from nose-gevented-multiprocess)

vinayd gravatar imagevinayd ( 2014-08-30 07:31:41 -0500 )edit

some more output as above one has limit gevent/gevent.core.c:9:22: error: pyconfig.h: No such file or directory gevent/gevent.core.c:17:20: error: Python.h: No such file or directory gevent/gevent.core.c:19:6: error: #error Python headers needed to compile C extensions,please install development

vinayd gravatar imagevinayd ( 2014-08-30 07:36:15 -0500 )edit